Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionViewItem.Position

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionViewItem.Position

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionViewItem

    public static final class QStyleOptionViewItem.Position

extends java.lang.Enum
implements QtEnumerator

This enum describes the position of the item's decoration.

See also:
  decorationPosition.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionViewItem.Position` | `Bottom` Below the text.
`static QStyleOptionViewItem.Position` | `Left` On the left of the text.
`static QStyleOptionViewItem.Position` | `Right` On the right of the text.
`static QStyleOptionViewItem.Position` | `Top` Above the text.

Method Summary
`static QStyleOptionViewItem.Position` | `resolve(int value)` Returns the QStyleOptionViewItem$Position constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionViewItem.Position` | `valueOf(java.lang.String name)`
`static QStyleOptionViewItem.Position[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Left

    public static final QStyleOptionViewItem.Position Left

  On the left of the text.

### Right

    public static final QStyleOptionViewItem.Position Right

  On the right of the text.

### Top

    public static final QStyleOptionViewItem.Position Top

  Above the text.

### Bottom

    public static final QStyleOptionViewItem.Position Bottom

  Below the text.

Method Detail

### values

    public static QStyleOptionViewItem.Position[] values()

### valueOf

    public static QStyleOptionViewItem.Position valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionViewItem.Position resolve(int value)

  Returns the QStyleOptionViewItem$Position constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD